Supported GE Proficy versions - j5 - 28.0 - Administration & Configuration - Hexagon

j5 Connector for GE Proficy Historian Help

Language
English (United States)
Product
j5
Search by Category
Administration & Configuration
j5 Version
2019

j5 supports GE Proficy version 7.2 only.